(Pwn2Own) Apple Safari Heap Buffer Overflow Remote Code Execution Vulnerability

2014-04-11T00:00:00
ID ZDI-14-091
Type zdi
Reporter Liang Chen of KeenTeam
Modified 2014-11-09T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple Safari. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the handling of CSS rules. The issue lies in the improper handling of CSSSelector elements. An attacker can leverage this vulnerability to execute code under the context of the current process.